Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-vfsmm
Version:	2.26.0
Release:	1
License:	GNU/LPL v2.1
URL:		http://www.gnome.org
Group:		System/Libraries
Summary:	C++ wrapper for gnome-vfs
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

#Manual build dependencies:
BuildRequires: doxygen

#Automatically resolved build dependencies
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: libgcc
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel

%description
This package is part of the gnomemm project and provides a C++ interface for gnome-vfs.

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains the static libraries and header files needed for
developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_libdir/gnome-vfsmm-2.6
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- initial CCux package release
